vbi_event Struct Reference
High Level Decoding » Events

Event union. More...

`#include <event.h>`

## Data Fields

int | type
union { |
struct { |
int pgno |
int subno |
uint8_t * raw_header |
int pn_offset |
unsigned int roll_header: 1 |
unsigned int header_update: 1 |
unsigned int clock_update: 1 |
} ttx_page
struct { |
int pgno |
} caption
vbi_network network |
vbi_link * trigger |
vbi_aspect_ratio aspect |
vbi_program_info * prog_info |
vbi_local_time * local_time |
vbi_program_id * prog_id |
struct _vbi_event_cc608_page * _cc608 |
struct _vbi_event_cc608_stream * _cc608_stream |
} | ev

## Detailed Description

Event union.

Examples
  examples/network.c, examples/pdc1.c, and examples/pdc2.c.